#include "Weather.h"
#include "../SevenSegment.h"
#include "../Icons.h"
#include <Fonts/FreeSans9pt7b.h>
#include <Fonts/FreeMonoBold9pt7b.h>
#include <Fonts/FreeMonoBold12pt7b.h>

RTC_DATA_ATTR uint64_t WatchFacePages::Weather::m_lastSyncTime = 0;

WatchFacePages::Weather::Weather(WatchyDisplay & display, WatchFeatures::WatchFeatures & features)
  : m_display(display), m_features(features)
{
}

void WatchFacePages::Weather::InitBoot()
{
}

void WatchFacePages::Weather::InitWake()
{
}

void WatchFacePages::Weather::DrawPage(bool partialRefresh)
{
  m_display.setFullWindow();
  m_display.fillScreen(GxEPD_WHITE);
  m_display.display(partialRefresh);
}

void WatchFacePages::Weather::Resync()
{
  // if(!m_features.wifi.Connect()) {
  //   return;
  // }

  // uint64_t currentTime = m_features.rtc.GetTimestamp();

  // if(m_lastSyncTime == 0 || m_lastSyncTime + 60 * 60 * 1000 < millis()) {
  //   m_lastSyncTime = millis();
  // }
}