#pragma once

#pragma once

#include "Page.h"
#include "../WatchyDisplay.h"
#include "../WatchFeatures/WatchFeatures.h"

namespace WatchFacePages
{
  class Weather;
}

class WatchFacePages::Weather : public WatchFacePages::Page
{
public:
  Weather(WatchyDisplay & display, WatchFeatures::WatchFeatures & features);
  void InitBoot() override;
  void InitWake() override;
  void DrawPage(bool partialRefresh = false) override;

private:
  void Resync();

  WatchyDisplay & m_display;
  WatchFeatures::WatchFeatures & m_features;
  static RTC_DATA_ATTR uint64_t m_lastSyncTime;
};